﻿using System;
using System.Collections.Generic;
using Modèle;
using Persistance;

namespace StubLib
{
    public class Stub : IPersistanceManager
    {

        List<Requin> requins = new List<Requin>();

        public Stub()
        {
            List<Zone> zone = new List<Zone> { Zone.ATLANTIQUE };
            requins.Add(new Requin("mon requin adoré", "trop cool ce requin", "wow il est trop bo", "Images/Dormeur-Mexicain.jpg", "Videos/Vid-dormeur-mexicain.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.EW, zone, "(C'est pas un vrai requin)"));
            requins.Add(new Requin("Banane", "Le requin banal", "C'est un requin ultra banal", "Images/Dormeur-Mexicain.jpg", "cette vidéo le met si bien en valeur", "oh bah il est nul part", Conservation.LC, zone, "Il est pas aussi banal qu'il en a l'air"));
        }

        public IEnumerable<Requin> LoadRequins()
        {            return requins;
        }
    }
}
